/// The regular expression could not be compiled.
#[derive(
    Debug,
    Clone,
    conjure_object::serde::Serialize,
    conjure_object::serde::Deserialize,
    PartialEq,
    Eq,
    PartialOrd,
    Ord,
    Hash,
    Copy
)]
#[serde(crate = "conjure_object::serde")]
#[conjure_object::private::staged_builder::staged_builder]
#[builder(crate = conjure_object::private::staged_builder, update, inline)]
pub struct CannotCompileRegexp {
    #[builder(default, into)]
    #[serde(rename = "queryId", skip_serializing_if = "Option::is_none", default)]
    query_id: Option<conjure_object::Uuid>,
}
impl CannotCompileRegexp {
    /// Constructs a new instance of the type.
    #[inline]
    pub fn new() -> Self {
        Self::builder().build()
    }
    #[inline]
    pub fn query_id(&self) -> Option<conjure_object::Uuid> {
        self.query_id.as_ref().map(|o| *o)
    }
}
impl conjure_error::ErrorType for CannotCompileRegexp {
    #[inline]
    fn code() -> conjure_error::ErrorCode {
        conjure_error::ErrorCode::InvalidArgument
    }
    #[inline]
    fn name() -> &'static str {
        "Compute:CannotCompileRegexp"
    }
    #[inline]
    fn safe_args() -> &'static [&'static str] {
        &["queryId"]
    }
}
